Fiscal Harmony API
  1. Account
Fiscal Harmony API
  • Introduction
  • Authentication
  • Data
  • Webhooks
  • Support
  • Account
    • Get Profile
      GET
    • Get Fiscal Device
      GET
    • Subscription
      GET
  • Transactions
    • Submit Invoice
      POST
    • Submit Credit Note
      POST
    • Check Status
      POST
    • Download Pdf
      GET
  • Mappings
    • Tax Mappings
      • Get All TaxMappings
      • Add Tax Mapping
      • Get Specific Tax Mapping
      • Update Tax Mapping
      • Delete Tax Mapping
    • Currency Mappings
      • Supported Currencies
      • Get All CurrencyMappings
      • Add Currency Mapping
      • Get Specific Currency Mapping
      • Update Currency Mapping
      • Delete Currency Mapping
  • Schemas
    • Account
      • Profile
      • FiscalDevice
      • DeviceConfig
      • ApplicableTax
      • BillingPlan
      • BillingStatus
      • Subscription
    • Mappings
      • CurrencyMapping
      • TaxMapping
    • Transactions
      • Invoice
      • CreditNote
      • BuyerContact
      • PaymentMethodType
      • LineItem
      • StatusRequest
    • Date
  1. Account

Subscription

Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
GET
/subscription
Last modified:2026-03-02 13:28:53
This endpoint returns the subscription of the fiscal device assigned to the user account. A 404 status code is returned if a device hasn’t yet been attached to your account or if its not available. Use this to keep track of your subscription status for your device.

Request

Header Params

Responses

🟢200
application/json
Returns a Subscription object containing all the billing information of the user's device.
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1209598-0-default/subscription' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1'
Response Response Example
{
    "Id": 1,
    "BillingSubscriptionId": "1234ABCD1234ABCD123",
    "CustomerName": "John Smith",
    "DeviceId": 1,
    "ExpiresOn": "2026-01-01T09:37:24",
    "Status": "active",
    "AmountDue": 20.0000000000000000000000000000,
    "IsDeleted": false,
    "AmountDueSince": null,
    "LastUpdatedOn": "2026-03-02T05:44:39.505943",
    "BillingPeriodUnit": "month",
    "Price": 2000.0000000000000000000000000,
    "BillingPlanName": "Enterprise-Plan-USD-Monthly",
    "SubscriptionItems": [
        {
            "Id": 2,
            "SubscriptionId": 1,
            "SubscriptionType": 2,
            "Quantity": 1
        }
    ]
}
Modified at 2026-03-02 13:28:53
Previous
Get Fiscal Device
Next
Transactions
Built with